> For the complete documentation index, see [llms.txt](https://docs.mantic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mantic.dev/devilenchants/config-files/custom-enchant.yml.md).

# custom-enchant.yml

This is one of the menus.

```yaml
title: '&4Devil Enchants'

pattern:
  - '         '
  - ' &*<> _+ '
  - '         '
  - '    @    '


items:
  '&':
    material: CHAINMAIL_HELMET
    glow: true
    name: '&7&lHelmet Enchants'
    show:
      - HELMET
  '*':
    material: CHAINMAIL_CHESTPLATE
    glow: true
    name: '&7&lChestplate Enchants'
    show:
      - CHESTPLATE
  '<':
    material: CHAINMAIL_LEGGINGS
    glow: true
    name: '&7&lLegging Enchants'
    show:
      - LEGGINGS
  '>':
    material: CHAINMAIL_BOOTS
    glow: true
    name: '&7&lBoot Enchants'
    show:
      - BOOTS
  '_':
    material: GOLD_SWORD
    glow: true
    name: '&7&lSword/Axe Enchants'
    show:
      - WEAPONS
  '+':
    material: BOW
    name: '&7&lBow Enchants'
    glow: true
    show:
      - BOW
  '@':
    material: PAPER
    glow: true
    name: '&bInformation'
    lore:
      - '&7Click the devil enchant you want'
      - '&7to purchase it!'
      - ' '
      - '&cYou can only have 4 per item!'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mantic.dev/devilenchants/config-files/custom-enchant.yml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
